Get a WhatsApp Business Profile
curl --request GET \
--url https://api.social-api.ai/v1/platforms/whatsapp/phone-numbers/{phone_number_id}/business-profile \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.social-api.ai/v1/platforms/whatsapp/phone-numbers/{phone_number_id}/business-profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.social-api.ai/v1/platforms/whatsapp/phone-numbers/{phone_number_id}/business-profile"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"about": "Reach us 9-5 weekdays.",
"address": "1 Hacker Way, Menlo Park, CA",
"description": "Acme Corp customer support.",
"email": "[email protected]",
"messaging_product": "whatsapp",
"profile_picture_url": "https://cdn.example.com/logo.png",
"vertical": "RETAIL",
"websites": [
"https://acme.com"
]
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
},
"request_id": "01HZ9X3Q4R5M6N7P8V2K0W1J"
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
},
"request_id": "01HZ9X3Q4R5M6N7P8V2K0W1J"
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
},
"request_id": "01HZ9X3Q4R5M6N7P8V2K0W1J"
}WhatsApp
Get a WhatsApp Business Profile
Returns the public business profile for a WhatsApp phone number, including about text, address, description, contact email, websites, and vertical. The profile is visible to customers in the WhatsApp chat header.
GET
/
platforms
/
whatsapp
/
phone-numbers
/
{phone_number_id}
/
business-profile
Get a WhatsApp Business Profile
curl --request GET \
--url https://api.social-api.ai/v1/platforms/whatsapp/phone-numbers/{phone_number_id}/business-profile \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.social-api.ai/v1/platforms/whatsapp/phone-numbers/{phone_number_id}/business-profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.social-api.ai/v1/platforms/whatsapp/phone-numbers/{phone_number_id}/business-profile"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"about": "Reach us 9-5 weekdays.",
"address": "1 Hacker Way, Menlo Park, CA",
"description": "Acme Corp customer support.",
"email": "[email protected]",
"messaging_product": "whatsapp",
"profile_picture_url": "https://cdn.example.com/logo.png",
"vertical": "RETAIL",
"websites": [
"https://acme.com"
]
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
},
"request_id": "01HZ9X3Q4R5M6N7P8V2K0W1J"
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
},
"request_id": "01HZ9X3Q4R5M6N7P8V2K0W1J"
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
},
"request_id": "01HZ9X3Q4R5M6N7P8V2K0W1J"
}Authorizations
Path Parameters
Response
Business profile
Email is the contact email.
Example: